Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturariabilitativa.vo.getstrutturariabilitativaconvenzionata
Class StrutturaRiabilitativaConvenzionataRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturariabilitativa.vo.getstrutturariabilitativaconvenzionata.StrutturaRiabilitativaConvenzionataRequest

All Implemented Interfaces:
  java.io.Serializable

    public class StrutturaRiabilitativaConvenzionataRequest

extends java.lang.Object
implements java.io.Serializable

La classe contiene i filtri di ricerca impostati nel ws di getStrutturaRiabilitativaConvenzionata

Author:
  SantovitoM
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `codice` Codice identificativo univoco a livello Regionale.
`private java.lang.String` | `codIstatSedeAttiv` Codice istat del comune inn cui ha sede la struttura riabilitativa
`private java.lang.String` | `codIstatSedeFiscale` Codice istat del comune della sede fiscale
`private java.lang.String` | `codNazAslConvenzione` Codice nazionale della ASL con cui la struttura riabilitativa risulta essere convenzionata
`private java.lang.String` | `codNazionaleAslRapportoContrattuale` Codice nazionale della ASL con cui la struttura riabilitativa risulta avere un rapporto contrattuale
`private java.lang.String` | `codStatoConvenzionamento` Stato del rapporto di convenzionamento 0 = non attivo 1 = attivo
`private java.lang.String` | `codTipologia` Codice tipologia di struttura 0 = PUBBLICA 1 = PRIVATA
`private java.lang.String` | `denominazione` Denominazione della struttura
`private int` | `numDistretto` Distretto di appartenenza della struttura riabilitativa che risulta essere convenzionata
`private static long` | `serialVersionUID`

Constructor Summary
`StrutturaRiabilitativaConvenzionataRequest()`

Method Summary
`java.lang.String` | `getCodice()`
`java.lang.String` | `getCodIstatSedeAttiv()`
`java.lang.String` | `getCodIstatSedeFiscale()`
`java.lang.String` | `getCodNazAslConvenzione()`
`java.lang.String` | `getCodNazionaleAslRapportoContrattuale()`
`java.lang.String` | `getCodStatoConvenzionamento()`
`java.lang.String` | `getCodTipologia()`
`java.lang.String` | `getDenominazione()`
`int` | `getNumDistretto()`
`void` | `setCodice(java.lang.String codice)`
`void` | `setCodIstatSedeAttiv(java.lang.String codIstatSedeAttiv)`
`void` | `setCodIstatSedeFiscale(java.lang.String codIstatSedeFiscale)`
`void` | `setCodNazAslConvenzione(java.lang.String codNazAslConvenzione)`
`void` | `setCodNazionaleAslRapportoContrattuale(java.lang.String codNazionaleAslRapportoContrattuale)`
`void` | `setCodStatoConvenzionamento(java.lang.String codStatoConvenzionamento)`
`void` | `setCodTipologia(java.lang.String codTipologia)`
`void` | `setDenominazione(java.lang.String denominazione)`
`void` | `setNumDistretto(int numDistretto)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### codice

    @MinOccurs(value=0L)
    private java.lang.String codice

  Codice identificativo univoco a livello Regionale. Tale codice se specificato deve essere di lunghezza 6

### codNazAslConvenzione

    private java.lang.String codNazAslConvenzione

  Codice nazionale della ASL con cui la struttura riabilitativa risulta essere convenzionata

### numDistretto

    private int numDistretto

  Distretto di appartenenza della struttura riabilitativa che risulta essere convenzionata

### denominazione

    private java.lang.String denominazione

  Denominazione della struttura

### codTipologia

    @Facets(enumeration={""," ","0","1"})
    private java.lang.String codTipologia

  Codice tipologia di struttura 0 = PUBBLICA 1 = PRIVATA

### codIstatSedeAttiv

    private java.lang.String codIstatSedeAttiv

  Codice istat del comune inn cui ha sede la struttura riabilitativa

### codIstatSedeFiscale

    private java.lang.String codIstatSedeFiscale

  Codice istat del comune della sede fiscale

### codStatoConvenzionamento

    @Facets(enumeration={""," ","0","1"})
    private java.lang.String codStatoConvenzionamento

  Stato del rapporto di convenzionamento 0 = non attivo 1 = attivo

### codNazionaleAslRapportoContrattuale

    private java.lang.String codNazionaleAslRapportoContrattuale

  Codice nazionale della ASL con cui la struttura riabilitativa risulta avere un rapporto contrattuale

Constructor Detail

### StrutturaRiabilitativaConvenzionataRequest

    public StrutturaRiabilitativaConvenzionataRequest()

Method Detail

### getCodNazAslConvenzione

    public java.lang.String getCodNazAslConvenzione()

### setCodNazAslConvenzione

    public void setCodNazAslConvenzione(java.lang.String codNazAslConvenzione)

### getNumDistretto

    public int getNumDistretto()

### setNumDistretto

    public void setNumDistretto(int numDistretto)

### getDenominazione

    public java.lang.String getDenominazione()

### setDenominazione

    public void setDenominazione(java.lang.String denominazione)

### getCodTipologia

    public java.lang.String getCodTipologia()

### setCodTipologia

    public void setCodTipologia(java.lang.String codTipologia)

### getCodIstatSedeAttiv

    public java.lang.String getCodIstatSedeAttiv()

### setCodIstatSedeAttiv

    public void setCodIstatSedeAttiv(java.lang.String codIstatSedeAttiv)

### getCodIstatSedeFiscale

    public java.lang.String getCodIstatSedeFiscale()

### setCodIstatSedeFiscale

    public void setCodIstatSedeFiscale(java.lang.String codIstatSedeFiscale)

### getCodStatoConvenzionamento

    public java.lang.String getCodStatoConvenzionamento()

### setCodStatoConvenzionamento

    public void setCodStatoConvenzionamento(java.lang.String codStatoConvenzionamento)

### setCodice

    public void setCodice(java.lang.String codice)

### getCodice

    public java.lang.String getCodice()

### setCodNazionaleAslRapportoContrattuale

    public void setCodNazionaleAslRapportoContrattuale(java.lang.String codNazionaleAslRapportoContrattuale)

### getCodNazionaleAslRapportoContrattuale

    public java.lang.String getCodNazionaleAslRapportoContrattuale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD